import WebRequest from "./webRequest.js";
import Tabs from "./tabs.js";
import Storage from "./storage.js";
import BrowserAction from "./browserAction.js";
import Runtime from "./runtime.js";

const Driver = function() {
  const browser = chrome;

  return {
    webRequest: browser.webRequest && WebRequest(browser),
    tabs: browser.tabs && Tabs(browser),
    storage: browser.storage && Storage(browser),
    browserAction: browser.browserAction && BrowserAction(browser),
    runtime: browser.runtime && Runtime(browser)
  };
};

export default Driver;
