import ChromeDriver from "./chrome/";
import MockDriver from "./mock/";

const BrowserInterface = function(useMock) {
  if (useMock) {
    return new MockDriver();
  }
  // Default WebExtension driver if supported
  if (typeof browser === "object") {
    return browser;
  }
  // Chrome driver if supported
  if (typeof chrome === "object") {
    return new ChromeDriver();
  }
  throw "Did not find any compatible driver for this browser.";
};

export default BrowserInterface;
