/*
 * runtime APIs
 * ------------
 * Mocked version
 * 
 * See: https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Browser_support_for_JavaScript_APIs#runtime
 */

const Runtime = () => ({
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/runtime/getBackgroundPage
  getBackgroundPage: () => new Promise.resolve(window),
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/runtime/onMessage
  onMessage(callback) {
    window.addEventListener("message", callback);
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/runtime/sendMessage
  sendMessage(extensionId, message, options) {
    return new Promise(res => {
      window.postMessage(message);
      res();
    });
  }
});

export default Runtime;
