/*
 * tabs APIs
 * ------------
 * Mocked version
 * 
 * See: https://developer.mozilla.org/en-US/Add-ons/WebExtensions/Browser_support_for_JavaScript_APIs#tabs
 */

const mockFunc = () => {};

const Tabs = () => ({
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onActivated
  onActivated: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onAttached
  onAttached: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onCreated
  onCreated: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onDetached
  onDetached: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onHighlighted
  onHighlighted: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onMoved
  onMoved: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onRemoved
  onRemoved: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/onUpdated
  onUpdated: mockFunc,
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/sendMessage
  sendMessage(tabId, message, options) {
    return Promise.resolve();
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/query
  query(queryInfo) {
    return Promise.resolve([]);
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/create
  create(props) {
    return Promise.resolve({});
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/remove
  remove(tabIds) {
    return Promise.resolve({});
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/update
  update(tabId, props) {
    return Promise.resolve({});
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/get
  get(tabId) {
    return Promise.resolve({});
  },
  // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/tabs/getCurrent
  getCurrent() {
    return Promise.resolve({});
  }
});

export default Tabs;
